AlreadyInitialisedException (Mule ESB 2.2.1 API)
Keywords: org.mule.lifecycle.AlreadyInitialisedException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle
Class AlreadyInitialisedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.lifecycle.LifecycleException
                      org.mule.api.lifecycle.InitialisationException
                          org.mule.lifecycle.AlreadyInitialisedException

All Implemented Interfaces:
  Serializable

    public class AlreadyInitialisedException

extends InitialisationException

`AlreadyInitialisedException` is thrown when a service or connector has already been initialised.

See Also:
  Serialized Form

Constructor Summary
`AlreadyInitialisedException(String name, Initialisable object)`

Method Summary

Methods inherited from class org.mule.api.lifecycle.LifecycleException
`getComponent`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlreadyInitialisedException

    public AlreadyInitialisedException(String name,
                                       Initialisable object)

Parameters:
  `object` - the object that has been initialised and cannot be initialised again

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.